Subject: bug#8597: horrible default colors for emacs -nw

From: "Drew Adams" <[email-masked]>
Date: Sat, 30 Apr 2011 11:14:13 -0700

> > 1. The region is a dark blue that does not invert the black 
> > foreground.
> 
> It never did.  If we want to change the foreground, we need to specify
> it for the `region' face.

My point was only that a black foreground on dark blue is not wonderful.

But see below - I think I found the cause, if not the cure.

> > So selected text is illegible.
> 
> What foreground color is the selected text, and what is the background
> of the `default' face?

Black foreground.  :background "unspecified-bg"

BTW, `M-x customize-face RET default RET' gives me a Customize buffer with a
bright yellow background on much of the buffer.  See screenshot.

> In fact, could you please provide a recipe starting from 
> "emacs -Q -nw"?

1. For region: emacs -nw, then select some text with the mouse: dark blue
background.

2. For the bug-reporting color:, emacs -nw, then `M-x report-emacs-bug RET
foobar RET'.

But see below.

> > 2. When sending a bug report the To and Subject lines have 
> > yellow text (on a white background).  Illegible.  Other text, such
> > as "--text follows this line--"
> > is cyan on white - also too light a color to be legible.
> 
> How did you get to the white background?  The default background of
> "emacs -nw" on Windows is black.  Again, please provide a full recipe.

I use a Windows shortcut that has this as Target:
C:\path-to\emacs.exe -nw -Q --debug-init "C:\drews-lisp-20"
Field Start in is C:\drews-lisp-20
Field Run is `Normal window'

However, and this is no doubt the cause of the problem, the shortcut also has
these settings for tab `Colors':

Screen background: Red, Green, Blue each 255
Selected screen colors: (black)
Selected pop-up colors: (a dark magenta/purple)

I do not set any Emacs faces (e.g. `region').  This Windows shortcut setting is
all I have.  I would hope that Emacs could figure out that it is dealing with a
light background (dark foreground), but no, I don't know anything about how it
might do that.

> If I start with "emacs -Q -nw", then change the fore- and back-ground
> colors of the `default' face to black and white, respectively (so at
> least my background is as yours), then type "M-x report-emacs-bug", I
> get the `message-header-name' whose foreground is "corneflower blue"
> (mapped to cyan), not yellow.  And the "--text follows this line--"
> part is shown in brown (displays as a kind of light yellowish color).
> They are quite legible (although the white background is too glaring
> to my taste; but then it isn't the default).  But you describe
> entirely different colors.

See above.  I just double-click my Windows XP shortcut, which is as described
above.  HTH.